package p04_if;

import java.util.Scanner;

// W tej wersji:
// - wypisujemy wszystkie informacje o błędach, jakie są znajdowane
// - ale uzyskujemy też jednoznaczną informację czy bagaż jest zaakceptowany
// - wykorzystujemy zmienną logiczną
public class Bagaz5 {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.println("Podaj wymiary bagażu.");
		System.out.print("długość: ");
		double a = scanner.nextDouble();
		System.out.print("szerokość: ");
		double b = scanner.nextDouble();
		System.out.print("wysokość: ");
		double c = scanner.nextDouble();
		double objetosc = a*b*c;
		
		boolean bylyBledy = false;
		
		if(a > 50) {
			System.out.println("Bagaż odrzucony z powodu długości");
			bylyBledy = true;
		}
		if(b > 50) {
			System.out.println("Bagaż odrzucony z powodu szerokości");
			bylyBledy = true;
		}
		if(c > 50) {
			System.out.println("Bagaż odrzucony z powodu wysokości");
			bylyBledy = true;
		}
		if(objetosc > 50_000) {
			System.out.println("Bagaż odrzucony z powodu zbyt dużej objętości");
			bylyBledy = true;
		}
		
		if(!bylyBledy) {
			System.out.println("Bagaż spełnia normę");
		}
	}

}
